Package org.eclipse.ui.internal

# Class WWinPluginPulldown

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.ui.internal.PluginAction
org.eclipse.ui.internal.WWinPluginAction
org.eclipse.ui.internal.WWinPluginPulldown

All Implemented Interfaces:
  `EventListener`, `IAction`, `ISelectionChangedListener`, `IActionSetContributionItem`, `INullSelectionListener`, `IPluginContribution`, `ISelectionListener`

public class WWinPluginPulldown extends WWinPluginAction
A workbench window pulldown action.

## Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`WWinPluginPulldown(IConfigurationElement actionElement, IWorkbenchWindow window, String id, int style)`
Constructs a new instance of `WWinPluginPulldown`.

## Method Summary

Modifier and Type
Method
Description
`protected IWorkbenchWindowPulldownDelegate`
`getPulldownDelegate()`
Returns the pulldown delegate.
`protected IActionDelegate`
`validateDelegate(Object obj)`
Validates the object is a delegate of the expected type.

### Methods inherited from class org.eclipse.ui.internal.WWinPluginAction

`dispose, getActionSetId, initDelegate, isOkToCreateDelegate, refreshActionList, refreshSelection, runWithEvent, setActionSetId, setChecked, setHelpListener, toString`

### Methods inherited from class org.eclipse.ui.internal.PluginAction

`createDelegate, disposeDelegate, getConfigElement, getDelegate, getLocalId, getMenuCreator, getOverrideActionId, getPluginId, getSelection, refreshEnablement, run, selectionChanged, selectionChanged, selectionChanged`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setDescription, setDisabledImageDescriptor, setEnabled, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WWinPluginPulldown

public WWinPluginPulldown(IConfigurationElement actionElement, IWorkbenchWindow window, String id, int style)
Constructs a new instance of `WWinPluginPulldown`.

Parameters:
  `actionElement` - The registry element from which the pulldown delegate should be created; must not be `null`.
  `window` - The workbench window on which this pulldown should act; must not be `null`.
  `id` - The identifier of this action delegate; may be `null`.
  `style` - The style.

## Method Details

### validateDelegate

protected IActionDelegate validateDelegate(Object obj) throws WorkbenchException
Description copied from class: `PluginAction`
Validates the object is a delegate of the expected type. Subclasses can override to check for specific delegate types.

Note: Calls to the object are not allowed during this method.

Overrides:
  `validateDelegate` in class `WWinPluginAction`
Parameters:
  `obj` - a possible action delegate implementation
Returns:
  the `IActionDelegate` implementation for the object
Throws:
  `WorkbenchException` - if not of the expected delegate type

### getPulldownDelegate

protected IWorkbenchWindowPulldownDelegate getPulldownDelegate()
Returns the pulldown delegate. If it does not exist it is created. Can return `null` if delegate creation failed.